import { useRef, useEffect } from 'react';
import { select, axisBottom } from 'd3';

export const XAxis = ({ xScale, height }) => {
  const ref = useRef();

  useEffect(() => {
    const xAxisG = select(ref.current);
    const xAxis = axisBottom(xScale)
      .tickSize(-height)
      .tickPadding(15);

    xAxisG.call(xAxis);
  }, []);

  return (
    <g transform={`translate(0,${height})`} ref={ref}></g>
  );
};
